package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantImage implements Serializable {

    /**
     * 商户负责人与收银台合照
     */
    public static final String CASH_DESK_WITH_PERSON = "999";

    /**
     * 身份证正面
     */
    public static final String IDCARD_FRONT = "01";
    /**
     * 身份证反面
     */
    public static final String IDCARD_BACK = "02";
    /**
     * 营业执照
     */
    public static final String BUSINESS_LICENSE = "03";
    /**
     * 组织机构代码证
     */
    public static final String ORGANIZATION_CARD = "04";
    /**
     * 开户许可证
     */
    public static final String ACCOUNT_PERMITS = "05";
    /**
     * 门头照
     */
    public static final String SHOP_FRONT_DOOR = "06";
    /**
     * 非法人结算授权书
     */
    public static final String NON_LEG_SETTLE_AUTH = "07";
    /**
     * 法人/非法人手持结算授权书
     */
    public static final String HAND_NON_LEG_SETTLE_AUTH = "B004";
    /**
     * 其他
     */
    public static final String OTHER = "08";
    /**
     * 收银台照片
     */
    public static final String CASH_DESK_PHOTO = "08";
    /**
     * 门店内景照片
     */
    public static final String STORE_INTERIOR_PHOTO = "09";
    /**
     * 各大餐饮平台入驻
     */
    public static final String MERCHANT_PLATFORM = "10";
    /**
     * 手持身份证
     */
    public static final String HAND_IDCARD_PHOTO = "11";
    /**
     * 租赁合同
     */
    public static final String TENANCY_AGREEMENTS = "12";
    /**
     * 变更申请表
     */
    public static final String CHANGE_FORM = "13";
    /**
     * 结算人身份证正面
     */
    public static final String SETTLE_IDCARD_FRONT = "96";
    /**
     * 结算人身份证反面
     */
    public static final String SETTLE_IDCARD_BACK = "97";
    /**
     * 银行卡正面
     */
    public static final String BANK_CARD_FRONT = "98";
    /**
     * 银行卡反面
     */
    public static final String BANK_CARD_BACK = "99";

    /**
     * 商户协议
     */
    public static final String MERCHANT_PROTOCOL = "101";
    /**
     * 商户附属协议
     */
    public static final String MERCHANT_SUB_PROTOCOL = "102";
    private Integer id;

    private String merchantcode;

    private String phototype;

    private String photourl;

    private String picurl;

    private Date createdt;

    private Date updatedt;

    private String aisleswitch;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getPhototype() {
        return phototype;
    }

    public void setPhototype(String phototype) {
        this.phototype = phototype == null ? null : phototype.trim();
    }

    public String getPhotourl() {
        return photourl;
    }

    public void setPhotourl(String photourl) {
        this.photourl = photourl == null ? null : photourl.trim();
    }

    public String getPicurl() {
        return picurl;
    }

    public void setPicurl(String picurl) {
        this.picurl = picurl == null ? null : picurl.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getUpdatedt() {
        return updatedt;
    }

    public void setUpdatedt(Date updatedt) {
        this.updatedt = updatedt;
    }

    public String getAisleswitch() {
        return aisleswitch;
    }

    public void setAisleswitch(String aisleswitch) {
        this.aisleswitch = aisleswitch == null ? null : aisleswitch.trim();
    }
}